searchData={"items":[{"type":"module","title":"ExUserCheck","doc":"Main module for `ExUserCheck`, providing the base API URL and handling API key retrieval.\n\nThis module is responsible for:\n- Defining the root API URL for `usercheck.com`\n- Retrieving the API key from the application's configuration\n- Raising an error if the API key is missing","ref":"ExUserCheck.html"},{"type":"module","title":"Configuration - ExUserCheck","doc":"To use `ExUserCheck`, you must set your `UserCheck` API key in your application's configuration:\n\n```elixir\n\n# config/prod.exs or config/runtime.exs\nconfig :ex_user_check, :api_key, \"your_api_key\"\n\n```","ref":"ExUserCheck.html#module-configuration"},{"type":"function","title":"ExUserCheck.api_key/0","doc":"Retrieves the API key from the application configuration","ref":"ExUserCheck.html#api_key/0"},{"type":"function","title":"ExUserCheck.root/0","doc":"Returns the root API URL for usercheck.com.","ref":"ExUserCheck.html#root/0"},{"type":"function","title":"Examples - ExUserCheck.root/0","doc":"iex> ExUserCheck.root()\n    \"https://api.usercheck.com\"","ref":"ExUserCheck.html#root/0-examples"},{"type":"module","title":"ExUserCheck.Domain","doc":"Deserialization model for ExUserCheck domains","ref":"ExUserCheck.Domain.html"},{"type":"function","title":"ExUserCheck.Domain.new/2","doc":"","ref":"ExUserCheck.Domain.html#new/2"},{"type":"type","title":"ExUserCheck.Domain.t/0","doc":"","ref":"ExUserCheck.Domain.html#t:t/0"},{"type":"module","title":"ExUserCheck.Domains","doc":"Check if a domain is used for disposable email addresses","ref":"ExUserCheck.Domains.html"},{"type":"function","title":"ExUserCheck.Domains.check/1","doc":"Returns information about whether a domain is used for disposable email addresses,\nincluding MX record presence, public email service status, and more.","ref":"ExUserCheck.Domains.html#check/1"},{"type":"function","title":"Parameters - ExUserCheck.Domains.check/1","doc":"- `domain` (*string*): The domain name to query.","ref":"ExUserCheck.Domains.html#check/1-parameters"},{"type":"function","title":"Returns - ExUserCheck.Domains.check/1","doc":"- `{:ok, response_body}` if the request is successful.\n  - `{:error, reason}` if the request fails.","ref":"ExUserCheck.Domains.html#check/1-returns"},{"type":"function","title":"Examples - ExUserCheck.Domains.check/1","doc":"iex> ExUserCheck.Domains.retrieve(\"example.com\")\n    {:ok, %{\"status\" => \"active\", \"details\" => %{...}}}","ref":"ExUserCheck.Domains.html#check/1-examples"},{"type":"module","title":"ExUserCheck.Email","doc":"Deserialization model for ExUserCheck email validation results","ref":"ExUserCheck.Email.html"},{"type":"function","title":"ExUserCheck.Email.new/2","doc":"","ref":"ExUserCheck.Email.html#new/2"},{"type":"type","title":"ExUserCheck.Email.t/0","doc":"","ref":"ExUserCheck.Email.html#t:t/0"},{"type":"module","title":"ExUserCheck.Emails","doc":"Check if an email address is valid and assess its risk factors","ref":"ExUserCheck.Emails.html"},{"type":"function","title":"ExUserCheck.Emails.check/1","doc":"Validates an email address and retrieves risk assessment details.","ref":"ExUserCheck.Emails.html#check/1"},{"type":"function","title":"Parameters - ExUserCheck.Emails.check/1","doc":"- `email` (*string*): The email address to validate.","ref":"ExUserCheck.Emails.html#check/1-parameters"},{"type":"function","title":"Returns - ExUserCheck.Emails.check/1","doc":"- `{:ok, response_body}` if the request is successful.\n  - `{:error, reason}` if the request fails.","ref":"ExUserCheck.Emails.html#check/1-returns"},{"type":"function","title":"Examples - ExUserCheck.Emails.check/1","doc":"iex> ExUserCheck.Emails.check(\"user@example.com\")\n    {:ok, %{\"valid\" => true, \"disposable\" => false, \"spam\" => false, ...}}","ref":"ExUserCheck.Emails.html#check/1-examples"},{"type":"module","title":"ExUserCheck.Error","doc":"Deserialization model for ExUserCheck API errors","ref":"ExUserCheck.Error.html"},{"type":"function","title":"ExUserCheck.Error.new/2","doc":"","ref":"ExUserCheck.Error.html#new/2"},{"type":"type","title":"ExUserCheck.Error.t/0","doc":"","ref":"ExUserCheck.Error.html#t:t/0"},{"type":"module","title":"ExUserCheck.HttpHelpers","doc":"Collection of helpers for HTTP requests","ref":"ExUserCheck.HttpHelpers.html"},{"type":"function","title":"ExUserCheck.HttpHelpers.get/4","doc":"Performs an HTTP GET request with deserialization and error management.","ref":"ExUserCheck.HttpHelpers.html#get/4"},{"type":"function","title":"Parameters - ExUserCheck.HttpHelpers.get/4","doc":"- `path` (*binary*): Base API path.\n  - `subpath` (*binary*): API subpath.\n  - `deserializer_fn` (*function*): Function to deserialize the response body.\n  - `params` (*keyword list*, optional): Query parameters.","ref":"ExUserCheck.HttpHelpers.html#get/4-parameters"},{"type":"function","title":"Returns - ExUserCheck.HttpHelpers.get/4","doc":"- `{:ok, deserialized_data}` on success (`200`).\n  - `{:error, ExUserCheck.Error.t()}` on failure.","ref":"ExUserCheck.HttpHelpers.html#get/4-returns"},{"type":"function","title":"ExUserCheck.HttpHelpers.req_options/3","doc":"HTTP options of req middleware","ref":"ExUserCheck.HttpHelpers.html#req_options/3"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,51,46,48]}}